Read a file
curl --request POST \
--url https://api.akua.dev/v1/sandboxes/{id}:readFile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/workspace/README.md"
}
'import requests
url = "https://api.akua.dev/v1/sandboxes/{id}:readFile"
payload = { "path": "/workspace/README.md" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '/workspace/README.md'})
};
fetch('https://api.akua.dev/v1/sandboxes/{id}:readFile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/sandboxes/{id}:readFile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '/workspace/README.md'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/sandboxes/{id}:readFile"
payload := strings.NewReader("{\n \"path\": \"/workspace/README.md\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/sandboxes/{id}:readFile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"/workspace/README.md\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/sandboxes/{id}:readFile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"/workspace/README.md\"\n}"
response = http.request(request)
puts response.read_body"<string>"{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Sandboxes
Read a file
The raw bytes of one file, streamed. Files over 100 MiB answer 422; read them in parts with a command. Requires files. Commands and file operations need an ACTIVE sandbox; on any other state they answer 409.
POST
/
sandboxes
/
{id}
:readFile
Read a file
curl --request POST \
--url https://api.akua.dev/v1/sandboxes/{id}:readFile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/workspace/README.md"
}
'import requests
url = "https://api.akua.dev/v1/sandboxes/{id}:readFile"
payload = { "path": "/workspace/README.md" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '/workspace/README.md'})
};
fetch('https://api.akua.dev/v1/sandboxes/{id}:readFile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/sandboxes/{id}:readFile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '/workspace/README.md'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/sandboxes/{id}:readFile"
payload := strings.NewReader("{\n \"path\": \"/workspace/README.md\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/sandboxes/{id}:readFile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"/workspace/README.md\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/sandboxes/{id}:readFile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"/workspace/README.md\"\n}"
response = http.request(request)
puts response.read_body"<string>"{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unprocessable",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Path Parameters
Sandbox id (sbx_...).
Pattern:
^sbx_[A-Za-z0-9]{1,64}$Example:
"sbx_j572abc123def456"
Body
application/json
Absolute path inside the sandbox.
Required string length:
1 - 4096Pattern:
^\/[^\0]*$Example:
"/workspace/README.md"
Response
Success
The response is of type file.
⌘I